{% extends 'base.html.twig' %}

{% block title %}Supplier orders{% endblock %}

{% block body %}

    <div class="container">

        <table class="table table-responsive">
            <thead>
            <tr>
                <th scope="col">Supplier</th>
                <th scope="col">Period</th>
                <th scope="col">Last send</th>
                <th scope="col">Product sent</th>
                <th scope="col">Show billing address</th>
                <th scope="col">Show delivery address</th>
                <th scope="col">Show carrier</th>
                <th scope="col">Show customer email</th>
                <th scope="col">Group products</th>
            </tr>
            </thead>
            <tbody>
            {% for supplier_order in supplier_orders %}
                <tr>
                    <th>{{ supplier_order.getSupplierName }}</th>
                    <th>Period</th>
                    <th>{{ supplier_order.getDateUpd|date('d/m/Y') }}</th>
                    <th>
                        {% if supplier_order.getIsTemplate == '1' %}
                            Yes
                        {% elseif supplier_order.getIsTemplate == '0' %}
                            No
                        {% else %}
                            No information
                        {% endif %}
                    </th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>

                    <th>
                        <div style="max-height: 150px; overflow-y: auto;">
                            <table>
                                <tr>
                                    <th>Name</th>
                                    <th>Attribute</th>
                                </tr>
                                {% for orderProduct in supplier_order.getSupplierOrderDetails %}
                                    <tr>
                                        <td style="text-overflow: ellipsis;
                              overflow: hidden;
                              max-width: 360px;
                              white-space: nowrap;">
                                            {{ orderProduct.product.getName }}</td>
                                        <td>
                                            {% if orderProduct.product.getProductAttributes %}
                                                {{ orderProduct.product.getReference }}
                                            {% else %}
                                                <span class="badge badge-secondary">Null</span>
                                            {% endif %}
                                        </td>
                                    </tr>
                                {% endfor %}
                            </table>
                        </div>
                    </th>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

{% endblock %}
